26.6.0 - Jun 16
Released: 2026-06-16
We’re pleased to announce the following updates to the Forward Networks API as part of release 26.6.0.
See also the full release notes for Forward Enterprise version 26.6.0.
Breaking changes
None.
Scheduled breaking changes
-
FWD-52675 Networks: The Network property
created(a string timestamp) has been deprecated for removal in release 26.7. UsecreatedAt(also a string timestamp) instead.- Affected operations:
- GET /api/networks (Get all networks)
- PATCH /api/networks/{networkId} (Update a network)
- DELETE /api/networks/{networkId} (Delete a network)
- POST /api/networks/{networkId}/snapshots (Import a Snapshot)
- POST /api/networks/{networkId}/workspaces (Create a Workspace network)
- Affected operations:
-
FWD-51950 Network Devices: The MissingDevice property
possibleTypeshas been deprecated for removal in release 26.8. Usevendorinstead.- Affected operations:
- GET /api/networks/{networkId}/missing-devices (Get missing network devices)
- Affected operations:
-
FWD-52020 Network Collection: These deprecated operations will be removed in release 26.10. The 26.7 API release notes will include detailed guidance on what to use instead.
- Deprecated operations:
- GET /api/networks/{networkId}/collector/status (Get Collector status)
- POST /api/networks/{networkId}/startcollection (Trigger a network collection)
- POST /api/networks/{networkId}/cancelcollection (Cancel a network collection)
- Deprecated operations:
Specification changes
-
FWD-54352 The OpenAPI files have been upgraded from version 3.1.0 to 3.2.0 to more clearly and accurately describe streaming sequential media types.
-
FWD-54411 The Sequential Bulk Path Search response description now uses the
itemSchemakeyword to clearly indicate that it’s describing the schema of each JSON value in the sequence—not the response body as a whole. The actual response format has not changed. -
FWD-54412 Path Search and Network Devices: Error responses are now correctly documented with the
application/jsoncontent type andErrorInfobody.
New operations
-
FWD-51454 NQE: Run NQE queries asynchronously. Request an execution, poll for its status, then retrieve the result. A result can optionally be paged through and/or consumed incrementally as JSON Lines (
application/jsonl) or NDJSON (application/x-ndjson).- POST /api/networks/{networkId}/nqe-executions (Request an NQE query execution)
- GET /api/networks/{networkId}/nqe-executions/{executionKey} (Get NQE query execution status)
- GET /api/networks/{networkId}/nqe-executions/{executionKey}/result (Get NQE query execution result)
-
FWD-53559 Network Snapshots: Trigger advanced reachability computation for a Snapshot. The computation runs asynchronously and the Snapshot must have completed the reachability processing stage.
- POST /api/snapshots/{snapshotId}?action=computeAdvancedReachability (Trigger advanced reachability computation)
New models
- FWD-51454 NQE: Added NqeExecutionRequest, NqeExecutionResponse, and NqeExecutionStatus for the new asynchronous NQE query execution operations.
Model changes
-
CheckStatus
- FWD-53559 Added value "REQUIRES_ADDITIONAL_SNAPSHOT_PROCESSING", which indicates that the check requires additional Snapshot processing (see Trigger advanced reachability computation).
- Affected operations:
- GET /api/snapshots/{snapshotId}/checks (Get checks)
- POST /api/snapshots/{snapshotId}/checks (Add a check)
- GET /api/snapshots/{snapshotId}/checks/{checkId} (Get a check)
-
CliCredential, CliCredentialUpdate, NewCliCredential
- FWDN-12137 The
privilegeLeveldescription has been updated to indicate that, in addition to Checkpoint devices, it is now honored on Cisco, Dell, and HP Provision devices (as the enable level) and HP Comware devices (as the super level). - Affected operations:
- GET /api/networks/{networkId}/cli-credentials (Get all CLI credentials)
- POST /api/networks/{networkId}/cli-credentials (Create a CLI credential)
- PATCH /api/networks/{networkId}/cli-credentials (Create CLI credentials)
- GET /api/networks/{networkId}/cli-credentials/{credentialId} (Get a CLI credential)
- PATCH /api/networks/{networkId}/cli-credentials/{credentialId} (Update a CLI credential)
- FWDN-12137 The
-
ConnectivityTestError
- BUGX-3233 Added value "VELOS_CONTROLLER_DISCOVERED". It indicates that the controller must be added as a collection source, not individual service engines.
- Affected operations:
- GET /api/networks/{networkId}/classic-devices (Get all classic devices)
- GET /api/networks/{networkId}/classic-devices/{deviceName} (Get a classic device)
- GET /api/networks/{networkId}/endpoints (Get a network’s endpoints)
- GET /api/networks/{networkId}/endpoints/{endpointName} (Get a network endpoint)
-
DeviceCollectionError
- BUGX-3260 Added value "UNSUPPORTED_DEVICE_TYPE"
- Affected operations:
- GET /api/networks/{networkId}/devices (Get all network devices)
- GET /api/networks/{networkId}/devices/{deviceName} (Get a network device)
-
NqeRecord
- BUG-26151 Removed an erroneous
fieldsproperty declaration. API responses do not actually include this property. - Affected operations:
- POST /api/nqe (Run an NQE query)
- BUG-26151 Removed an erroneous
-
Vendor, VendorOS
- FWD-49104 Added Vendor value "ZSCALER" and VendorOs values "zscaler_zpa" and "zscaler_app_connector"
- Affected operations:
- GET /api/networks/{networkId}/devices (Get all network devices)
- GET /api/networks/{networkId}/devices/{deviceName} (Get a network device)